summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPaul Sherwood <paul.sherwood@codethink.co.uk>2013-08-24 05:28:51 +0000
committerPaul Sherwood <paul.sherwood@codethink.co.uk>2013-08-24 05:28:51 +0000
commitf570c7d5c77d8331f4896819cb7bb0898e7a829d (patch)
tree4187062d0901e6e167777f5bded63e336234cab0
parent38d2d14af4ef43c75195a4a70531505159fc4a65 (diff)
downloadmorphs-f570c7d5c77d8331f4896819cb7bb0898e7a829d.tar.gz
more brutal version
-rwxr-xr-x[-rw-r--r--]all-update.sh17
1 files changed, 6 insertions, 11 deletions
diff --git a/all-update.sh b/all-update.sh
index 1d1514e..7c326c1 100644..100755
--- a/all-update.sh
+++ b/all-update.sh
@@ -52,17 +52,12 @@ repos=`for stratum in $strata; do
done | sort -u`
for repo in $repos; do
- echo $repo
cd $workspace/*:$repo
- if [ `git tag | wc -l` != "0" ]; then
- startpoint=`git rev-parse HEAD`
- tag=`git describe --tags $(git rev-list --tags --max-count=1)`
- echo merging $tag
- git merge $tag
- if [ $? != "0" ]; then
- git reset --hard $startpoint
- fi
- else
- echo "No tag found"
+ startpoint=`git rev-parse HEAD`
+ echo merging master into $repo
+ git merge $master
+ if [ $? != "0" ]; then
+ git reset --hard $startpoint
+ echo merge failed for $repo
fi
done